Subject: bug#76202: Resizing FAT32 failed

From: [email-masked]
Date: Tue, 11 Feb 2025 16:54:33 +0300

Hello!

Old know issue with parted causing to fail to resize FAT32 partition
above or below 256MB has a misleading error message which is stating:

"GNU Parted cannot resize this partition to this size. We're working on
it!"

According to GParted bug report it has deep roots, which is hard to
investigate and having simple workaround results in postponed this
issue for many years.

https://gitlab.gnome.org/GNOME/gparted/-/issues/186#note_2347574

Can we change a error message to something more user friendly with more
details? Let's say instead saying "we are working on it" say that
libparted does not support resizing FAT32 partition below or above
256MB. Only supports resizing partition larger that 256MB.

That would reduce confusion, and explain to the user what is wrong
instead of suggestion for user to wait until that bug will be fixed.

-- AK